﻿import sys
import xbmc
import xbmcgui
import xbmcplugin
import xbmcaddon
import os
import subprocess

base_url = sys.argv[0]
addon_handle = int(sys.argv[1])
args = urllib.parse.parse_qs(sys.argv[2][1:])
addon = xbmcaddon.Addon()

def build_url(query):
    return base_url + '?' + urllib.parse.urlencode(query)

homatics = xbmcaddon.Addon('plugin.video.homatics')

addon_icon = 'special://home/addons/plugin.video.homatics/icon.png'

mode = args.get('mode', None)

if mode is None:

    url = build_url({'mode': 'on', 'foldername': 'LEDs ON'})
    li = xbmcgui.ListItem('LEDs ON'
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)

    url = build_url({'mode': 'off', 'foldername': 'LEDs OFF'})
    li = xbmcgui.ListItem('LEDs OFF')
    li.setArt({'fanart': homatics.getAddonInfo('fanart'), 'icon': addon_icon, 'thumb' : addon_icon}) 
    xbmcplugin.addDirectoryItem(handle=addon_handle, url=url, listitem=li, isFolder=False)

    xbmcplugin.endOfDirectory(addon_handle)

elif mode[0] == 'on':
    subprocess.call(['sh', './xxx.sh'])

elif mode[0] == 'off':
    cmd = 'sudo killall xxx'
    os.system(cmd)